//=================================================================================================
/*!
//  \file blaze/Util.h
//  \brief Header file for the inclusion of the utility module of the Blaze library
//
//  Copyright (C) 2011 Klaus Iglberger - All Rights Reserved
//
//  This file is part of the Blaze library. This library is free software; you can redistribute
//  it and/or modify it under the terms of the GNU General Public License as published by the
//  Free Software Foundation; either version 3, or (at your option) any later version.
//
//  This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
//  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//  See the GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License along with a special
//  exception for linking and compiling against the Blaze library, the so-called "runtime
//  exception"; see the file COPYING. If not, see http://www.gnu.org/licenses/.
*/
//=================================================================================================

#ifndef _BLAZE_UTIL_MODULE_H_
#define _BLAZE_UTIL_MODULE_H_


//*************************************************************************************************
// Includes
//*************************************************************************************************

#include <blaze/util/AlignedStorage.h>
#include <blaze/util/AlignmentTrait.h>
#include <blaze/util/Algorithm.h>
#include <blaze/util/Assert.h>
#include <blaze/util/Byte.h>
#include <blaze/util/ColorMacros.h>
#include <blaze/util/Complex.h>
#include <blaze/util/Constraints.h>
#include <blaze/util/Convert.h>
#include <blaze/util/DimensionOf.h>
#include <blaze/util/DisableIf.h>
#include <blaze/util/EmptyType.h>
#include <blaze/util/EnableIf.h>
#include <blaze/util/InputString.h>
#include <blaze/util/InvalidType.h>
#include <blaze/util/Limits.h>
#include <blaze/util/Logging.h>
#include <blaze/util/Memory.h>
#include <blaze/util/MemoryPool.h>
#include <blaze/util/MPL.h>
#include <blaze/util/NonCopyable.h>
#include <blaze/util/NonCreatable.h>
#include <blaze/util/Null.h>
#include <blaze/util/NullType.h>
#include <blaze/util/PointerCast.h>
#include <blaze/util/Policies.h>
#include <blaze/util/PtrIterator.h>
#include <blaze/util/PtrVector.h>
#include <blaze/util/Random.h>
#include <blaze/util/SelectType.h>
#include <blaze/util/Serialization.h>
#include <blaze/util/Singleton.h>
#include <blaze/util/SizeTrait.h>
#include <blaze/util/StaticAssert.h>
#include <blaze/util/Suffix.h>
#include <blaze/util/SystemClock.h>
#include <blaze/util/SystemClockID.h>
#include <blaze/util/Thread.h>
#include <blaze/util/ThreadPool.h>
#include <blaze/util/Time.h>
#include <blaze/util/Timing.h>
#include <blaze/util/TypeList.h>
#include <blaze/util/Types.h>
#include <blaze/util/TypeTraits.h>
#include <blaze/util/UniqueArray.h>
#include <blaze/util/UniquePtr.h>
#include <blaze/util/UnsignedValue.h>
#include <blaze/util/ValueTraits.h>

#endif
