//=================================================================================================
/*!
//  \file blaze/system/Version.h
//  \brief Header file for the current version of the Blaze library
//
//  Copyright (C) 2011 Klaus Iglberger - All Rights Reserved
//
//  This file is part of the Blaze library. This library is free software; you can redistribute
//  it and/or modify it under the terms of the GNU General Public License as published by the
//  Free Software Foundation; either version 3, or (at your option) any later version.
//
//  This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
//  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//  See the GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License along with a special
//  exception for linking and compiling against the Blaze library, the so-called "runtime
//  exception"; see the file COPYING. If not, see http://www.gnu.org/licenses/.
*/
//=================================================================================================

#ifndef _BLAZE_SYSTEM_VERSION_H_
#define _BLAZE_SYSTEM_VERSION_H_


//=================================================================================================
//
//  BLAZE VERSION
//
//=================================================================================================

//*************************************************************************************************
/*!\brief Major version of the Blaze library.
// \ingroup system
//
// This value corresponds to the major version of the Blaze library. For instance, for Blaze
// version 1.3, the BLAZE_MAJOR_VERSION corresponds to 1.
*/
#define BLAZE_MAJOR_VERSION 1
//*************************************************************************************************


//*************************************************************************************************
/*!\brief Minor version of the Blaze library.
// \ingroup system
//
// This value corresponds to the minor version of the Blaze library. For instance, for Blaze
// version 1.3, the BLAZE_MINOR_VERSION corresponds to 3.
*/
#define BLAZE_MINOR_VERSION 3
//*************************************************************************************************

#endif
